%define upstream_name	CPAN
%define upstream_version 2.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/A/AN/ANDK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Compress::Base)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Signature)
BuildRequires: perl(Net::FTP)
BuildRequires: perl(Net::Ping)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch
Requires: cpan

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use Net::FTP or LWP or some external
download clients to fetch the distributions from the net.

These are fetched from one or more of the mirrored CPAN (Comprehensive
Perl Archive Network) sites and unpacked in a dedicated directory.

The CPAN module also supports the concept of named and versioned
*bundles* of modules. Bundles simplify the handling of sets of related
modules. See Bundles below.

The package contains a session manager and a cache manager. The session
manager keeps track of what has been fetched, built and installed in the
current session. The cache manager keeps track of the disk space
occupied by the make processes and deletes excess space according to a
simple FIFO mechanism.

All methods provided are accessible in a programmer style and in an
interactive shell style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# Signature file does not contain debug files signatures, just ignore the file for tests
%{__mv} SIGNATURE SIGNATURE_test
# perl(CPAN::Test::Dummy::Perl5::Make::CircDepeOne/Two/Three) issue a warning if not present
# so we just ignore them (they induce a failure if tested)
%make test
%{__mv} SIGNATURE_test SIGNATURE

%install
rm -rf %{buildroot}
%makeinstall_std
# cpan program is available in 2 upstream dists: CPAN and App::Cpan
# (more features, merged from time to time to CPAN). This means cpan(1)
# and App::CPAN(3) conflict. Proposed solution is to remove the
# conflicting files and require App::Cpan (cpan in mageia)
# cf https://rt.cpan.org/Ticket/Display.html?id=82789#txn-1171034
rm -f %{buildroot}/%{_bindir}/cpan %{buildroot}/%{perl_vendorlib}/App/Cpan.pm

%files
%doc Changes META.json META.yml README SIGNATURE
%{_mandir}/*/*
%{perl_vendorlib}


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1:2.0.0-2.mga4
+ Revision: 536985
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1:2.0.0-1.mga4
+ Revision: 486096
- update to 2.00

* Fri Feb 15 2013 jquelin <jquelin> 1:1.980.0-4.mga3
+ Revision: 398543
- allow cpan and perl-CPAN to be installed in // (rt#82789)

* Sun Jan 13 2013 umeabot <umeabot> 1:1.980.0-3.mga3
+ Revision: 363602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 1:1.980.0-2.mga2
+ Revision: 162787
- take priority over module bundled with perl 5.14.2
- update to 1.9800

* Sun Mar 13 2011 jquelin <jquelin> 1:1.960.0-1.mga1
+ Revision: 70624
- update to 1.9600

* Sat Jan 22 2011 jquelin <jquelin> 1:1.940.200-1.mga1
+ Revision: 31735
- mageia rebuild
- imported package perl-CPAN


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.940.200-1mdv2010.1
+ Revision: 504810
- rebuild using %%perl_convert_version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.9402-1mdv2010.0
+ Revision: 390325
- update to new version 1.9402

* Sun Mar 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.9304-1mdv2009.1
+ Revision: 346282
- update to new version 1.9304

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.9301-1mdv2009.1
+ Revision: 296291
- new version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.9205-4mdv2009.0
+ Revision: 256160
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 22 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.9205-2mdv2008.1
+ Revision: 111291
- Versioned cpan in order to temporarily avoid conflict with perl-5.8.8-devel (should be solved in 5.10)

* Thu Nov 22 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.9205-1mdv2008.1
+ Revision: 111249
-Initial package
  perl(CPAN::Test::Dummy::Perl5::Make::CircDepeOne/Two/Three) are temporarily ignored for tests
- import perl-CPAN


* Fri Nov 21 2007 1.9205-1mdv2008.1 Stephane Teletchea <steletch@mandriva.org>
- Initial package
- perl(CPAN::Test::Dummy::Perl5::Make::CircDepeOne/Two/Three) are temporarily ignored for tests
